2017-12-27 466 views
0

刚刚重新安装了我的ubuntu,并且安装了必要的东西,如nodejs npm。如果我克隆项目,并试图sudo npm install我得到了这个错误。有人有同样的问题?权限被拒绝npm install的错误

使用 节点:8.9.3 NPM:5.5.1

fetchPackageMetaData error for [email protected]://github.com/gulpjs/gulp.git#4ed9a4a3275559c73a396eff7e1fde3824951ebb Command failed: /usr/bin/git clone -q git://github.com/gulpjs/gulp.git /home/user_name/.npm/_cacache/tmp/git-clone-0e191fc9 

fetchPackageMetaData /home/user_name/.npm/_cacache/tmp/git-clone-0e191fc9/.git: Permission denied 

Error: Command failed: /usr/bin/git clone -q git://github.com/gulpjs/gulp.git /home/user_name/.npm/_cacache/tmp/git-clone-0e191fc9 

/home/user_name/.npm/_cacache/tmp/git-clone-0e191fc9/.git: Permission denied 
+0

https://stackoverflow.com/questions/31744852/npm-install-giving-error-while-accessing-git-url这个问题可能有帮助。 – evolutionxbox

+0

npm与安装节点一起安装...我避免使用sudo ...如果使用sudo安装节点,则所有npm install命令也必须发出sudo ...如果您在安装过程中避免使用sudo,请不要使用'sudo npm安装x' ...安装没有sudo可以是原始代码安装或编译安装...阅读内嵌评论\t https://askubuntu.com/questions/426750/how-can-i-update-my -nodejs到了,最新版本/ 959382#959382 –

回答

0

安装节点没有sudo和你不会得到拒绝 “权限错误”。

sudo npm install node

使用此命令:

npm install node